Subject: Ladybird beetles

From: KENELM W PHILIP <[email-masked]>
Date: Sat, 25 Mar 1995 20:29:45 -0900

According to the OED, 'Ladybird' in effect means 'Our Lady's bird'--
referring to the Virgin MAry. The sex of the insect is irrelevant...

                                                        Ken Philip
[email-masked]